package com.jeesite.modules.aaaaa.service;

import java.util.List;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeesite.common.entity.Page;
import com.jeesite.common.service.CrudService;
import com.jeesite.modules.aaaaa.entity.Aaaaa;
import com.jeesite.modules.aaaaa.dao.AaaaaDao;
import com.jeesite.modules.file.utils.FileUploadUtils;

/**
 * 测试表Service
 * @author aa
 * @version 2022-05-16
 */
@Service
@Transactional(readOnly=true)
public class AaaaaService extends CrudService<AaaaaDao, Aaaaa> {
	
	/**
	 * 获取单条数据
	 * @param aaaaa
	 * @return
	 */
	@Override
	public Aaaaa get(Aaaaa aaaaa) {
		return super.get(aaaaa);
	}
	
	/**
	 * 查询分页数据
	 * @param aaaaa 查询条件
	 * @param aaaaa.page 分页对象
	 * @return
	 */
	@Override
	public Page<Aaaaa> findPage(Aaaaa aaaaa) {
		return super.findPage(aaaaa);
	}
	
	/**
	 * 查询列表数据
	 * @param aaaaa
	 * @return
	 */
	@Override
	public List<Aaaaa> findList(Aaaaa aaaaa) {
		return super.findList(aaaaa);
	}
	
	/**
	 * 保存数据（插入或更新）
	 * @param aaaaa
	 */
	@Override
	@Transactional(readOnly=false)
	public void save(Aaaaa aaaaa) {
		super.save(aaaaa);
		// 保存上传附件
		FileUploadUtils.saveFileUpload(aaaaa, aaaaa.getId(), "aaaaa_file");
	}
	
	/**
	 * 更新状态
	 * @param aaaaa
	 */
	@Override
	@Transactional(readOnly=false)
	public void updateStatus(Aaaaa aaaaa) {
		super.updateStatus(aaaaa);
	}
	
	/**
	 * 删除数据
	 * @param aaaaa
	 */
	@Override
	@Transactional(readOnly=false)
	public void delete(Aaaaa aaaaa) {
		super.delete(aaaaa);
	}
	
}